On 06/01/2017 05:27 PM, JP Vossen wrote:
Try this command, but *watch out* and make sure it doesn't want to remove more than you want it to!
    sudo apt-get remove --purge python-gtkspell


I aborted.  I get:

The following packages will be REMOVED:
   python-gtkspell*

I'm assuming, maybe incorrectly, the wild card will also remove python-gtkspellcheck

If I recall correctly the "*" means that it will purge config files, which probably doesn't matter in this case, but better to be clean. Or try it without the "--purge" and see what it says.

You were correct. It only removed python-gtkspell.  Thanks.


If that doesn't fix it, it might be other cruft that was not removed in the 17 to 18 update.

I might try something like:
----
sudo apt-get remove zim python-gtkspell python-gtkspellcheck aspell ispell python-enchant enchant
----

I did. Weird stuff. It removed cherrytree?! And installed ibritish and then brought up a config dialogue to have me select (screenshot 1) And it suggested iamerican at the same time it was removing it (bold)

Reading package lists... Done
Building dependency tree
Reading state information... Done
Package 'python-gtkspell' is not installed, so not removed
The following additional packages will be installed:
  ibritish ispell:i386
Suggested packages:
  spell:i386
Recommended packages:
*iamerican:i386* | ispell-dictionary:i386 wamerican:i386 | wordlist:i386
The following packages will be REMOVED:
aspell aspell-en cherrytree enchant*iamerican* ispell python-enchant python-gtkspellcheck zim
The following NEW packages will be installed:
  ibritish ispell:i386
0 upgraded, 2 newly installed, 9 to remove and 9 not upgraded.
Need to get 325 kB of archives.
After this operation, 8,198 kB disk space will be freed.
Do you want to continue? [Y/n] y

What to see if it removes anything else for dependencies, and then add those to the list below if you want them. Then:
----
sudo apt-get install zim python-gtkspellcheck aspell python-enchant

Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
  aspell-doc spellutils bzr
Recommended packages:
  aspell-en | aspell-dictionary | aspell6a-dictionary
The following NEW packages will be installed:
  aspell python-enchant python-gtkspellcheck zim
0 upgraded, 4 newly installed, 0 to remove and 9 not upgraded.
Need to get 1,096 kB/1,244 kB of archives.
After this operation, 5,371 kB of additional disk space will be used.

----


Mine works, too, except the interface being in Spanish, and it wants to default to English instead of English (American). I have to scroll down and click English (American) every time even though I have it set to "en-US" in the plug-in.

If you don't care about the other languages, what about trying:
----
sudo apt-get remove hunspell-en-gb hunspell-en-za myspell-en-au myspell-en-gb myspell-en-za
----

Still Spanish interface. And though the only option I have is English (American) it's still not ticked, and I have to tick it each time I close and open Zim (phoneshot 1) As you can see from phoneshot2, "suggestions" and "dictionaries" are in Spanish, but all suggestions are in English, with "add to dictionary" and "ignore" also in Spanish at the bottom. Easy enough to use as long as the actual dictionary is English. (BTW, the misspelled word is Sprin when I meant Spring.

I reinstalled CherryTree, and it had no other dependencies, so I don't know what that was about.

Sorry for the file sizes.  Only way to get pictures with menus open.

Regards,
Bo Grimes
_______________________________________________
Mailing list: https://launchpad.net/~zim-wiki
Post to     : zim-wiki@lists.launchpad.net
Unsubscribe : https://launchpad.net/~zim-wiki
More help   : https://help.launchpad.net/ListHelp

Reply via email to